Bug 755392 - Review Request: chirp - A tool for programming two-way radio equipment
Summary: Review Request: chirp - A tool for programming two-way radio equipment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eric
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-21 02:11 UTC by Randy Berry
Modified: 2011-12-05 00:22 UTC (History)
4 users (show)

Fixed In Version: chirp-0.1.12-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-05 00:22:20 UTC
Type: ---
eric: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Randy Berry 2011-11-21 02:11:50 UTC
Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/chirp.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/chirp-0.1.12-3.fc17.src.rpm

2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Description: Chirp is a tool for programming two-way radio equipment
It provides a generic user interface to the programming
data and process that can drive many radio models under
the hood. Written entirely in Python.

Project Page: http://chirp.danplanet.com

I thought this would be very beneficial to Fedora Hams, but I do not have the equipment to test this application. I can only build it and confirm the basics. Anyone who has the radios this software claims to work with (list on project page) please test it and submit your findings here. Thanks. 

Test Options:
http://dp67.fedorapeople.org/pkgs/RPMS/noarch/Rawhide/chirp-0.1.12-3.fc17.noarch.rpm
http://dp67.fedorapeople.org/pkgs/RPMS/noarch/Fedora-16/chirp-0.1.12-3.fc16.noarch.rpm
http://dp67.fedorapeople.org/pkgs/RPMS/noarch/Fedora-15/chirp-0.1.12-3.fc15.noarch.rpm

*note packages are unsigned. Install with yum --nogpgcheck

Comment 1 eric 2011-11-21 14:17:09 UTC
I'll review.

Comment 2 John J. McDonough 2011-11-21 14:31:34 UTC
Thanks, Sparks.  I considered it but I'm still a little uneasy about my reviewing/packaging skills.

Comment 3 eric 2011-11-21 14:59:20 UTC
(In reply to comment #2)
> Thanks, Sparks.  I considered it but I'm still a little uneasy about my
> reviewing/packaging skills.

If you want to do the review and I'll check behind you we can do that.

Comment 4 eric 2011-11-21 15:00:59 UTC
The source for the patches need to be added to the SPEC.  If you are going to keep them on your fpeople site then just add the URL there.

Comment 6 John J. McDonough 2011-11-22 13:21:09 UTC
Comment 5 SRPM link appears incorrect, looks as if SRPM was built on F14 rather than 17.

rpmlint seems to have no complaints

App appears to work on IC-91AD. Docs seem to indicate it won't work on the secondary band, but it does.   Does not, however, work on D-Star.

App is quite slow.

Might build a cable to try IC2100H, 2200H, Q7A.

Comment 7 Randy Berry 2011-11-22 16:09:01 UTC
(In reply to comment #6)
> Comment 5 SRPM link appears incorrect, looks as if SRPM was built on F14 rather
> than 17.

You're right, I uploaded the correct srpm for rawhide. Sorry about that.

SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/chirp-0.1.12-4.fc17.src.rpm

I'm glad it actually works. may be slow, but at least it works. ;)

Comment 8 Randy Berry 2011-11-24 03:50:40 UTC
Added source link to .desktop in spec

Spec URL: http://dp67.fedorapeople.org/pkgs/SPECS/chirp.spec
SRPM URL: http://dp67.fedorapeople.org/pkgs/SRPMS/chirp-0.1.12-5.fc17.src.rpm

Comment 9 eric 2011-11-24 03:54:00 UTC
YES MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
YES MUST: The package must be named according to the Package Naming Guidelines .
YES MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
YES MUST: The package must meet the Packaging Guidelines .
YES MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
YES MUST: The License field in the package spec file must match the actual license. [3]
NA  MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
YES MUST: The spec file must be written in American English. [5]
YES MUST: The spec file for the package MUST be legible. [6]
YES MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
YES MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
NA  MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
YES MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA  MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
NA  MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
YES MUST: Packages must NOT bundle copies of system libraries.[11]
NA  MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
YES MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
YES MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
YES MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
YES MUST: Each package must consistently use macros. [16]
YES MUST: The package must contain code, or permissable content. [17]
NA  MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
YES MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
NA  MUST: Header files must be in a -devel package. [19]
NA  MUST: Static libraries must be in a -static package. [20]
NA  MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
NA  MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
YES MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
YES MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
YES MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
YES MUST: All filenames in rpm packages must be valid UTF-8. [24]


NO  SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
NO  SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
NA  SHOULD: The reviewer should test that the package builds in mock. [27]
NA  SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
YES SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
NA  SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
NA  SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
NA  SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
NA  SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
NO  SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]


APPROVED

Comment 10 Randy Berry 2011-11-24 04:03:42 UTC
New Package SCM Request
=======================
Package Name: chirp
Short Description: A tool for programming two-way radio equipment
Owners: dp67
Branches: F15 F16

Comment 11 Gwyn Ciesla 2011-11-25 03:36:56 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-11-25 04:08:48 UTC
chirp-0.1.12-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/chirp-0.1.12-5.fc16

Comment 13 Fedora Update System 2011-11-25 04:18:13 UTC
chirp-0.1.12-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/chirp-0.1.12-5.fc15

Comment 14 Fedora Update System 2011-11-25 23:25:17 UTC
chirp-0.1.12-5.fc16 has been pushed to the Fedora 16 testing repository.

Comment 15 Fedora Update System 2011-12-05 00:22:20 UTC
chirp-0.1.12-5.fc16 has been pushed to the Fedora 16 stable repository.

Comment 16 Fedora Update System 2011-12-05 00:22:56 UTC
chirp-0.1.12-5.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.